Dpias
Alle Operationen rund um Dpias.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| DPIA | dpia |
9 | — | dpia_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/dpias |
Create dpia | Create a new dpia in the active tenant. |
DELETE |
/v1/dpias/{id} |
Delete dpia | Soft delete entity. |
GET |
/v1/dpias/{id} |
Get dpia by id | Fetch a single dpia. |
GET |
/v1/dpias/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/dpias/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/dpias/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/dpias |
List dpias | List dpias for the active tenant. |
PATCH |
/v1/dpias/{id} |
Patch dpia | JSON Merge Patch update. |
POST |
/v1/dpias/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/dpias/{id}/transition |
POST /v1/dpias/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/dpias/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/dpias/{id} |
Replace dpia | Full replace with optimistic locking. |